Bug 1119080 - Bugzilla bugs submenus should be removed when Presszilla is not installed
Summary: Bugzilla bugs submenus should be removed when Presszilla is not installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder
Version: 1.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.9
Assignee: Lee Newson
QA Contact: Misha H. Ali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 20:46 UTC by Matthew Casperson
Modified: 2014-09-01 01:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 01:20:35 UTC


Attachments (Terms of Use)
Message for Chrome/FF when script is not installed (7.00 KB, image/png)
2014-08-21 05:10 UTC, Misha H. Ali
no flags Details

Description Matthew Casperson 2014-07-13 20:46:30 UTC
When PressZilla is not installed, the submenus in the Bugzilla Bugs menu should be removed as they will never display anything.

Comment 2 Lee Newson 2014-08-07 05:56:47 UTC
Fixed in the devel-rewrite branch (see https://github.com/pressgang-ccms/DocBuilder2/commit/f7eb415ce58c44f44e1b282490aa5e99a9e9459c)

The submenu items are now added by the PressZilla userscript. Additionally I also fixed an issue where the submenus weren't actually working properly in 1.8 due to the submenus never being built.

Comment 4 Misha H. Ali 2014-08-21 05:05:30 UTC
Tested on Chrome, works as expected. Trying Firefox now.

Comment 5 Misha H. Ali 2014-08-21 05:10:12 UTC
Created attachment 929015 [details]
Message for Chrome/FF when script is not installed

Checked on Firefox as well (F20). Works as expected. Attached screenshot.


Note You need to log in before you can comment on or make changes to this bug.